Altibase.jdbc.driver.sharding.core

## Interface ShardValueInfoStrategy

All Known Implementing Classes:
  ShardValueInfoPrimaryStrategy, ShardValueInfoSubKeyStrategy

    public interface ShardValueInfoStrategy

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addShardValue(ShardValueInfo aShardValueInfo)`
`ShardSplitMethod` `getShardSplitMethod()`
`int` `getShardValueCount()`

### Method Detail

#### getShardValueCount

    int getShardValueCount()

#### getShardSplitMethod

    ShardSplitMethod getShardSplitMethod()

#### addShardValue

    void addShardValue(ShardValueInfo aShardValueInfo)